BizKitHub
DocsAPI ReferenceLedger/bff/ledger/dimension/line
postLedgerAdmin BFF

/bff/ledger/dimension/line

Replace the dimension values of a posted journal line

LedgerpostBffLedgerDimensionLine

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
entryIdstringRequired
Length: 24–24
lineNostring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 1–500
valueIdsstring[]Required

The complete set of values for the line, one per dimension type.

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/dimension/line

post
curl -X POST "https://api.bizkithub.com/bff/ledger/dimension/line" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "entryId": "example_entryId",
  "valueIds": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key